VirtualDAO (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.server.session.VirtualDAO class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.server.session
Class VirtualDAO

    java.lang.Object
      org.hyperic.hq.dao.HibernateDAO
          org.hyperic.hq.appdef.server.session.VirtualDAO

    public class VirtualDAO

extends HibernateDAO

Field Summary

Fields inherited from class org.hyperic.hq.dao.HibernateDAO
`BATCH_SIZE`

Constructor Summary
`VirtualDAO(DAOFactory f)`

Method Summary
`void` | `createVirtual(Resource res, java.lang.Integer processId)`
`Virtual` | `findByResource(java.lang.Integer resourceId)`
`void` | `remove(Virtual entity)`
`void` | `save(Virtual entity)`

Methods inherited from class org.hyperic.hq.dao.HibernateDAO
`cacheFindAll, createCriteria, createQuery, findAll, findAllOrderByName, findById, findById, flushSession, get, getFactory, getPagedResult, getPagedResult, getPermissionManager, getPersistentClass, getSession, remove, save, size, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VirtualDAO

    public VirtualDAO(DAOFactory f)

Method Detail

### save

    public void save(Virtual entity)

### remove

    public void remove(Virtual entity)

### createVirtual

    public void createVirtual(Resource res,
                              java.lang.Integer processId)

### findByResource

    public Virtual findByResource(java.lang.Integer resourceId)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.